Market Data

Get live orderbooks for multiple markets

GET
/orderbooks

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Query Parameters

venueMarketIds*array<string>|string
depth?integer
Range1 <= value <= 100

Response Body

200

application/json
  1. response
data*array<>
meta*
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/orderbooks?venueMarketIds=string'
Example Response
{  "data": [    {      "venueMarketId": "string",      "status": "ok",      "error": {        "code": "market_not_found",        "message": "string",        "retryable": true      },      "requestedMarket": {        "venueMarketId": "string",        "venue": "kalshi",        "marketStatus": "open",        "tickSize": 0,        "sizeStepRaw": "string",        "minSizeRaw": "string",        "endDate": "string",        "resolutionDate": "string"      },      "venueOrderbooks": {        "property1": {          "venueMarketId": "string",          "tickSize": 0,          "sizeStepRaw": "string",          "minSizeRaw": "string",          "orderbook": {            "bids": [              {                "price": 0,                "size": 0              }            ],            "asks": [              {                "price": 0,                "size": 0              }            ],            "negRisk": true          },          "tick": 0,          "markSource": "local",          "deployerVenue": "string"        },        "property2": {          "venueMarketId": "string",          "tickSize": 0,          "sizeStepRaw": "string",          "minSizeRaw": "string",          "orderbook": {            "bids": [              {                "price": 0,                "size": 0              }            ],            "asks": [              {                "price": 0,                "size": 0              }            ],            "negRisk": true          },          "tick": 0,          "markSource": "local",          "deployerVenue": "string"        }      },      "matchedMarkets": [        {          "venue": "kalshi",          "venueMarketId": "string",          "marketStatus": "open",          "tickSize": 0,          "sizeStepRaw": "string",          "minSizeRaw": "string",          "hasOrderbook": true,          "deployerVenue": "string"        }      ]    }  ],  "meta": {    "requestedCount": 0,    "okCount": 0,    "errorCount": 0  }}